import request from './request'; // 请替换成你实际使用的请求库

// 定义一个登录请求的函数
export const login = async (email:string, password:string) => {
    const data = {'login':email,'password':password}
    
    const result = await request({
      method: 'POST',
      url: `/auth/login`,
      data: data,
    });
    return result; // 返回请求成功时的数据
};
